org.eclipse.ease.lang.python

## Class PythonHelper

- java.lang.Object
- - org.eclipse.ease.lang.python.PythonHelper

    public class PythonHelper
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `SCRIPT_TYPE_PYTHON` Script type identifier for Python.

### Constructor Summary

Constructors
Constructor and Description
`PythonHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static java.lang.String` `getSaveName(java.lang.String identifier)`
`static ScriptType` `getScriptType()` Get the `ScriptType` for python.
`static boolean` `isSaveName(java.lang.String identifier)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SCRIPT_TYPE_PYTHON

    public static final java.lang.String SCRIPT_TYPE_PYTHON

Script type identifier for Python. Must match with the script type 'name' from plugin.xml.

See Also:
  Constant Field Values

### Constructor Detail

#### PythonHelper

    public PythonHelper()

### Method Detail

#### getSaveName

    public static java.lang.String getSaveName(java.lang.String identifier)

#### isSaveName

    public static boolean isSaveName(java.lang.String identifier)

#### getScriptType

    public static ScriptType getScriptType()

Get the `ScriptType` for python.

Returns:
  script type definition